<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# заголовок
$set['title']='Купить авторитет';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

if (isset($user))
{

$action=htmlspecialchars(trim($_GET['action']));

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/user_a_skill.gif" alt="*" /></div>';

# блоки
switch($_GET['action']){

#********************* Главный блок *****************#
default:

# текст
echo '<div class="zona_menu">
Очень дорогой товар .<br/>
Служит ореинтиром для составления списка главарей зоны .</div>';

# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_avtoritet.php?action=lot_1"> Купить 1 ед.</a> за 50 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_avtoritet.php?action=lot_10"> Купить 10 ед.</a> за 450 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_avtoritet.php?action=lot_25"> Купить 25 ед.</a> за 1000 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_experience.png" alt="*" /> <a href="add_avtoritet.php?action=lot_50"> Купить 50 ед.</a> за 1800 <img src="../img/icon/icon_header_staff2.png" alt="*" /></div>';

# конец
break;

#********************* 5 *****************#
case 'lot_1':

# бабок нет
if($user['zona_balls']<50){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки авторитета нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 50 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_avtoritet`=`zona_avtoritet`+'1' ,`zona_balls`=`zona_balls`-'50' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 1 ед. авторитета .
</div>';
}

# конец
break;


#********************* 10*****************#
case 'lot_10':

# бабок нет
if($user['zona_balls']<450){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки авторитета нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 450 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_avtoritet`=`zona_avtoritet`+'10' ,`zona_balls`=`zona_balls`-'450' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 10 ед. авторитета .
</div>';
}

# конец
break;

#********************* 25*****************#
case 'lot_25':

# бабок нет
if($user['zona_balls']<1000){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки авторитета нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 1000 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_avtoritet`=`zona_avtoritet`+'25' ,`zona_balls`=`zona_balls`-'1000' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 25 ед. авторитета .
</div>';
}

# конец
break;


#********************* 25*****************#
case 'lot_50':

# бабок нет
if($user['zona_balls']<1800){

# текст
echo '<div class="zona_menu">
Недостаточно средств в заначке .<br/>
Для покупки авторитета нужно <img src="../img/icon/icon_header_staff2.png" alt="*" /> 1800 баксов.
</div>';
}

else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_avtoritet`=`zona_avtoritet`+'50' ,`zona_balls`=`zona_balls`-'1800' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Приобретено !<br/>
Добавлено <img src="../img/icon/icon_a_level.png" alt="*" /> 50 ед. авторитета .
</div>';
}

# конец
break;

}
echo '<div class="zona_rekl"><img src="../img/icon/icon_a_dexterity.png" alt="*" /> <a href="black.php"> Обратно в магазин</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';
}

else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}
include_once '../../sys/inc/tfoot.php';
?>
